Name:           python-wordpress-xmlrpc
Version:        1.5
Release:        2%{?dist}
Summary:        WordPress XML-RPC API Integration Library

License:        BSD
URL:            https://github.com/maxcutler/python-wordpress-xmlrpc/
Source0:        http://pypi.python.org/packages/source/p/python-wordpress-xmlrpc/python-wordpress-xmlrpc-1.5.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools

%description
Python library to interface with a WordPress blog's XML-RPC API.

An implementation of the standard WordPress API methods is provided, but the 
library is designed for easy integration with custom XML-RPC API methods 
provided by plugins.

A set of classes are provided that wrap the standard WordPress data types 
(e.g., Blog, Post, User). The provided method implementations return these 
objects when possible.



%prep
%setup -q

# fix wrong-file-end-of-line-encoding issues in license readme.rst wp-config..
for i in LICENSE README.rst wp-config-sample.cfg ; do
     sed -i 's/\r//' $i ;
done


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

 
%files
%doc LICENSE README.rst wp-config-sample.cfg
%{python_sitelib}/*


%changelog
* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Sep 20 2011 Matthias Runge <mrunge@matthias-runge.de> 1.5-1
- initital version for fedora
